#20 more secondary arg parsing

closed-fixed
run-time (53)
5
2001-03-15
2001-03-13
No

From: Jim Blandy <jimb@cyclic.com>
To: scsh-bugs@martigny.ai.mit.edu
Subject: more secondary arg parsing
Date: Sat, 19 Apr 1997 07:15:26 -0500

Lazy swine. Walk two blocks down to Quantum and buy a
copy of
Harbison and Steele.

*** meta-arg.scm.~1~ Thu Aug 29 03:35:25 1996
--- meta-arg.scm Sat Apr 19 07:11:53 1997
***************
*** 102,108 ****
((char=? c1 #\r) carriage-return)
((char=? c1 #\t) tab)
((char=? c1 #\b) backspace)
! ;; ...whatever. Look up complete table.

;; \, space, tab, newline.
((char-set-contains? char-set:simple-
knockdown c1) c1)
--- 102,110 ----
((char=? c1 #\r) carriage-return)
((char=? c1 #\t) tab)
((char=? c1 #\b) backspace)
! ((char=? c1 #\a) alert)
! ((char=? c1 #\f) form-feed)
! ((char=? c1 #\v) vertical-tab)

;; \, space, tab, newline.
((char-set-contains? char-set:simple-
knockdown c1) c1)
***************
*** 130,132 ****
--- 132,137 ----
(define tab (ascii->char 9))
(define carriage-return (ascii->char 13))
(define backspace (ascii->char 8))
+ (define alert (ascii->char 7))
+ (define form-feed (ascii->char 12))
+ (define vertical-tab (ascii->char 11))

Discussion

  • Olin Shivers

    Olin Shivers - 2001-03-15
    • status: open --> closed-fixed
     
  • Olin Shivers

    Olin Shivers - 2001-03-15

    Logged In: YES
    user_id=101304

    Has been fixed in 0.5 & 0.6 for some time.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks